Loading...
Searching...
No Matches
fastjet::integral_type< T, _t > Struct Template Reference

More...

`#include <fastjet/internal/IsBase.hh>`

Inheritance diagram for fastjet::integral_type< T, _t >:
[legend]

## Public Types

typedef T | value_type
| a typedef for the type T
typedef integral_type< T, _t > | type
| a typedef for the whole structure

## Static Public Attributes

static const T | value = _t
| the value (only member carrying info)

## Detailed Description

template<typename T, T _t>
struct fastjet::integral_type< T, _t >

Definition at line 63 of file IsBase.hh.

## Member Typedef Documentation

## value_type

template<typename T, T _t>

typedef T fastjet::integral_type< T, _t >::value_type

a typedef for the type T

Definition at line 65 of file IsBase.hh.

## type

template<typename T, T _t>

typedef integral_type<T,_t> fastjet::integral_type< T, _t >::type

a typedef for the whole structure

Definition at line 66 of file IsBase.hh.

## Member Data Documentation

## value

template<typename T, T _t>

const T fastjet::integral_type< T, _t >::value = _t

static

the value (only member carrying info)

Definition at line 64 of file IsBase.hh.

The documentation for this struct was generated from the following file:

- include/fastjet/internal/IsBase.hh